#include<stdio.h>
#include<stdlib.h>
#include<string.h>

int main()
{
    int n,i,k;
    char s[100];
    scanf("%s",&s);
    n=strlen(s);
    k=n;
    for (i=0;i<n/2;i++)
    {
        if (s[i]==s[(n-1)-i])
        {
            k=k-2;
        }
    }
    if (k==1||k==0)
        printf("1");
    else
        printf("%d",k-1);
}